[ubuntu/jammy-proposed] openmpi 4.1.2-1ubuntu1 (Accepted)

Graham Inggs ginggs at ubuntu.com
Wed Dec 29 07:46:13 UTC 2021


openmpi (4.1.2-1ubuntu1) jammy; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - remove i386 dependencies to rdma-core
      + d/control: drop the i386 dependency from libopenmpi-dev to
        libibverbs-dev
      + d/control: disable the direct build-dependency on libibverbs-dev
        (from rdma-core) on i386
      + d/rules: disable libfabric support on i386 to avoid pulling in
        rdma-core

openmpi (4.1.2-1) unstable; urgency=medium

  * Nww upstream release

openmpi (4.1.2~rc1-5) unstable; urgency=medium

  * Drop unused and broken link to libopen-orted-mpir.so

openmpi (4.1.2~rc1-4) unstable; urgency=medium

  * Move java docs to openmpi-doc package
  * Add Breaks/Replaces for file move libopenmpi-dev -> openmpi-doc
  * Delete obsolete breaks/replaces

openmpi (4.1.2~rc1-3) unstable; urgency=medium

  * Update versions:
    - libmca_common_ompio.so 41.29.1 ->  41.29.2
    - libmca_common_ofi.so 10.0.1 -> 10.0.2
    Closes: #995150
  * Add autopkg test for unlinked shared libs
  * Add alpha, ppc64, sparc64 to the 'nojava' arch list
  * Only install javadocs via d/rules inside conditional

openmpi (4.1.2~rc1-2) unstable; urgency=medium

  * Drop deprecated "stage1" build profile in favour of "nojava"
  * Don't depend on libfabric-dev on sh4, powerpc, x32
  * Only install java wrapper script on java platforms (not hurd)
  * Don't try to build java support on kfreebsd-*

openmpi (4.1.2~rc1-1) experimental; urgency=medium

  * New upstream release
  * Drop merged patches:
    - pr8827.patch
    - no-ship-orted-mpir.patch
    - pr8596.patch
  * Update libversions:
    - libmpi.so.40.30.1 -> libmpi.so.40.30.2
    - libmpi_cxx.so.40.30.0 -> libmpi_cxx.so.40.30.1
    - libopen-pal.so.40.30.1 -> libopen-pal.so.40.30.2
    - libopen-rte.so.40.30.1 -> libopen-rte.so.40.30.2

openmpi (4.1.1-5) unstable; urgency=medium

  * Include pr8596.patch from 4.1.0-9 in 4.1.1

openmpi (4.1.1-4) unstable; urgency=medium

  * Don't ship libopen-orted-mpir.so. Patch from upstream for 4.1.2
    internal lib only.
  * Also exclude mtl ofi to deal with libfabric fork in tests.
    Closes: #979041

openmpi (4.1.1-3) unstable; urgency=medium

  * Don't embed username, hostname in binaries. Closes: #990254.
    Thanks, Vagrant Cascadian
  * Ship libopen-orted-mpir.so in -dev pkg only. Closes: #993041, #993038
  * Close bug fixed in previous release. Closes: #945120
  * Fix FTBFS with missing javadocs in stage1/no java builds.
    Closes: #979877, #975995

openmpi (4.1.1-2) unstable; urgency=medium

  * Ensure libopen-orted-mpir.so is shipped
  * Update so minor versions on libmca_common_ofi, libmca_common_ompio.
    Closes: #989111
  * Enable IPv6. Closes: #989694.
  * Standards-Version: 4.6.0; no changes required
  * Build with autoconf 2.71 ; Closes: #978878

openmpi (4.1.1-1) experimental; urgency=medium

  * New upstream release
  * Patches merged upstream:
     - external-pmix-fix.patch
     - external-pmix-fix.patch
     - grequest-fix.patch

Date: Wed, 29 Dec 2021 07:32:41 +0000
Changed-By: Graham Inggs <ginggs at ubuntu.com>
Maintainer: Ubuntu Developers <ubuntu-devel-discuss at lists.ubuntu.com>
https://launchpad.net/ubuntu/+source/openmpi/4.1.2-1ubuntu1
-------------- next part --------------
Format: 1.8
Date: Wed, 29 Dec 2021 07:32:41 +0000
Source: openmpi
Built-For-Profiles: noudeb
Architecture: source
Version: 4.1.2-1ubuntu1
Distribution: jammy
Urgency: medium
Maintainer: Ubuntu Developers <ubuntu-devel-discuss at lists.ubuntu.com>
Changed-By: Graham Inggs <ginggs at ubuntu.com>
Closes: 945120 975995 978878 979041 979877 989111 989694 990254 993038 993041 995150
Changes:
 openmpi (4.1.2-1ubuntu1) jammy; urgency=medium
 .
   * Merge from Debian unstable, remaining changes:
     - remove i386 dependencies to rdma-core
       + d/control: drop the i386 dependency from libopenmpi-dev to
         libibverbs-dev
       + d/control: disable the direct build-dependency on libibverbs-dev
         (from rdma-core) on i386
       + d/rules: disable libfabric support on i386 to avoid pulling in
         rdma-core
 .
 openmpi (4.1.2-1) unstable; urgency=medium
 .
   * Nww upstream release
 .
 openmpi (4.1.2~rc1-5) unstable; urgency=medium
 .
   * Drop unused and broken link to libopen-orted-mpir.so
 .
 openmpi (4.1.2~rc1-4) unstable; urgency=medium
 .
   * Move java docs to openmpi-doc package
   * Add Breaks/Replaces for file move libopenmpi-dev -> openmpi-doc
   * Delete obsolete breaks/replaces
 .
 openmpi (4.1.2~rc1-3) unstable; urgency=medium
 .
   * Update versions:
     - libmca_common_ompio.so 41.29.1 ->  41.29.2
     - libmca_common_ofi.so 10.0.1 -> 10.0.2
     Closes: #995150
   * Add autopkg test for unlinked shared libs
   * Add alpha, ppc64, sparc64 to the 'nojava' arch list
   * Only install javadocs via d/rules inside conditional
 .
 openmpi (4.1.2~rc1-2) unstable; urgency=medium
 .
   * Drop deprecated "stage1" build profile in favour of "nojava"
   * Don't depend on libfabric-dev on sh4, powerpc, x32
   * Only install java wrapper script on java platforms (not hurd)
   * Don't try to build java support on kfreebsd-*
 .
 openmpi (4.1.2~rc1-1) experimental; urgency=medium
 .
   * New upstream release
   * Drop merged patches:
     - pr8827.patch
     - no-ship-orted-mpir.patch
     - pr8596.patch
   * Update libversions:
     - libmpi.so.40.30.1 -> libmpi.so.40.30.2
     - libmpi_cxx.so.40.30.0 -> libmpi_cxx.so.40.30.1
     - libopen-pal.so.40.30.1 -> libopen-pal.so.40.30.2
     - libopen-rte.so.40.30.1 -> libopen-rte.so.40.30.2
 .
 openmpi (4.1.1-5) unstable; urgency=medium
 .
   * Include pr8596.patch from 4.1.0-9 in 4.1.1
 .
 openmpi (4.1.1-4) unstable; urgency=medium
 .
   * Don't ship libopen-orted-mpir.so. Patch from upstream for 4.1.2
     internal lib only.
   * Also exclude mtl ofi to deal with libfabric fork in tests.
     Closes: #979041
 .
 openmpi (4.1.1-3) unstable; urgency=medium
 .
   * Don't embed username, hostname in binaries. Closes: #990254.
     Thanks, Vagrant Cascadian
   * Ship libopen-orted-mpir.so in -dev pkg only. Closes: #993041, #993038
   * Close bug fixed in previous release. Closes: #945120
   * Fix FTBFS with missing javadocs in stage1/no java builds.
     Closes: #979877, #975995
 .
 openmpi (4.1.1-2) unstable; urgency=medium
 .
   * Ensure libopen-orted-mpir.so is shipped
   * Update so minor versions on libmca_common_ofi, libmca_common_ompio.
     Closes: #989111
   * Enable IPv6. Closes: #989694.
   * Standards-Version: 4.6.0; no changes required
   * Build with autoconf 2.71 ; Closes: #978878
 .
 openmpi (4.1.1-1) experimental; urgency=medium
 .
   * New upstream release
   * Patches merged upstream:
      - external-pmix-fix.patch
      - external-pmix-fix.patch
      - grequest-fix.patch
Checksums-Sha1:
 9c0beee5f1a9410aac083c842203e6d9dcad83fe 2862 openmpi_4.1.2-1ubuntu1.dsc
 bf5bdfd10ae006c1ddbc2edfe0e79d1234a97423 6754244 openmpi_4.1.2.orig.tar.xz
 11a06bb2e1b4e85636f96f6ef99d05b7da45e1b0 69148 openmpi_4.1.2-1ubuntu1.debian.tar.xz
 2426f5e3c77d7c8b80aa20f3eab587b099755c4b 8178 openmpi_4.1.2-1ubuntu1_source.buildinfo
Checksums-Sha256:
 08d2c5e306721d773f08cb05e14d040a3b45543f6fe82c35e42d5838a035fa78 2862 openmpi_4.1.2-1ubuntu1.dsc
 26340306b2b82472b9bf13060f8d8634001053e2a7538a237d7c0f807182249b 6754244 openmpi_4.1.2.orig.tar.xz
 c18bc3c7b67ffd4fbdccf60ee62a27f5f1deb3a9c9d0b1047fbbc5ef7bdabe20 69148 openmpi_4.1.2-1ubuntu1.debian.tar.xz
 b4412d1a4d7f3fc82fd79480a6dafc334b7ad1501d8486fc9d53408ea4c094b4 8178 openmpi_4.1.2-1ubuntu1_source.buildinfo
Files:
 d2cc38793ef72c6f4a57b93349ace7e0 2862 net optional openmpi_4.1.2-1ubuntu1.dsc
 3c4469ecfbcc2a57d8a5cfd48c419097 6754244 net optional openmpi_4.1.2.orig.tar.xz
 b00ef521a0b611807c54fd0e8fa79497 69148 net optional openmpi_4.1.2-1ubuntu1.debian.tar.xz
 a421e5e27d97c3c08a187be34c101e99 8178 net optional openmpi_4.1.2-1ubuntu1_source.buildinfo
Original-Maintainer: Alastair McKinstry <mckinstry at debian.org>


More information about the jammy-changes mailing list